2007-08-25 17:47  paul

	* upload-packages.sh: Correct echo prompt.

2007-08-25 17:27  paul

	* debian/control: Fixed deps and standards version.

2007-08-25 17:25  paul

	* debian/templates: Fixed template

2007-08-25 17:25  paul

	* debian/axyl-lucene.init: Added LSB init script info.

2007-07-26 19:30  paul

	* debian/templates: Remove translation for numeric.

2007-07-26 12:04  paul

	* debian/changelog: Changelog update

2007-07-26 12:03  paul

	* debian/control: Depends on latest Axyl

2007-07-26 12:03  paul

	* debian/axyl-lucene.postrm: Stopped it looking for Axyl HOME - not
	  needed.

2007-07-26 12:02  paul

	* install/install-lucene.sh: Removed sub_vars function which is
	  already defined in the Axyl common funcs.

2007-07-26 12:02  paul

	* build-repository.sh: Consistency - parsing out Deb Maintainer

2007-01-28 07:56  paul

	* install/install-lucene.sh: Fix for bug #408225 - missing
	  mkaxyldir.

2007-01-28 07:53  paul

	* debian/changelog: Set changelog date.

2007-01-28 07:52  paul

	* debian/: axyl-lucene.postinst, changelog, control: Fix for bug
	  #408225 - missing mkaxyldir.

2006-12-20 08:23  paul

	* Makefile: Trivial update: a package-independent way of doing a
	  'make clean'.  No functional changes to the actual code.

2006-12-20 08:16  paul

	* Makefile, build-clean.sh: Trivial update: a package-independent
	  way of doing a 'make clean'.	No functional changes to the actual
	  code.

2006-12-06 19:00  paul

	* debian/changelog: Next WIP changelog - axyl-lucene 2.1.9

2006-12-06 18:51  paul

	* debian/: changelog, po/de.po, po/pt.po: Added new debconf
	  translations.

2006-12-06 18:43  paul

	* debian/changelog: Final change log.

2006-11-15 14:43  paul

	* debian/changelog: Latest changelog WIP.

2006-10-22 17:14  paul

	* debian/changelog: Latest 2.1.7 changelog.

2006-10-22 17:07  paul

	* debian/changelog: Latest 2.1.7 changelog.

2006-10-22 17:03  paul

	* servers/axyl/etc/Server.config: Added new MaxSearcherInstances
	  setting.

2006-08-25 10:15  paul

	* upload-packages.sh: Script to upload packages to debian.

2006-08-24 11:02  paul

	* build-debian.sh, debian/changelog: Better build script (follows
	  axyl one)

2006-08-24 10:52  paul

	* Makefile, debian/changelog, debian/control: Added debian uploader
	  script.  Updated uploader emails, and changelog.

2006-04-12 07:55  paul

	* debian/changelog: Added watchdog item.

2006-04-12 07:48  paul

	* debian/control: Updated to refer to latest Debian Policy.

2006-03-23 15:59  paul

	* debian/axyl-lucene.init: Full path on start-stop-daemon.

2006-03-08 15:51  paul

	* debian/changelog: Changelog for 2.1.6

2006-03-08 15:51  paul

	* build-debian.sh: If not present always build ChangeLog.

2006-03-08 15:50  paul

	* debian/copyright, README: Updated the URL to the Lucene website.

2006-01-26 16:10  paul

	* build-tarball.sh: Reworked daemon restart

2006-01-18 16:10  paul

	* servers/axyl/etc/Server.config: The logging levels now work with
	  log4j and we have the following levels available: DEBUG, INFO,
	  WARNING, ERROR, FATAL, OFF. We default lsd to INFO which gives
	  some nice minimal information on Indexing and Querying activity.

2005-11-21 17:52  paul

	* .cvsignore: Ignorable files

2005-11-21 17:52  paul

	* debian/changelog: Updated with latest BTS closes #'s.

2005-11-21 17:14  paul

	* build-debian.sh: Ask if luceneserver should be refreshed.

2005-10-09 08:54  paul

	* debian/po/sv.po: Swedish debconf template.

2005-09-27 07:44  paul

	* debian/control: Added the '| debconf-2.0' dependencies as per
	  Joey Hess' notification.

2005-08-25 09:18  paul

	* debian/changelog: New changelog - just debconf translations.

2005-08-25 09:15  paul

	* debian/po/vi.po: New Vietnamese debconf translation. Bug#313147.

2005-05-16 19:59  paul

	* .cvsignore: New .cvsignore

2005-05-16 19:58  paul

	* debian/: changelog, po/fr.po, po/ja.po: Added Japanese debconf
	  template translation, and updated French one. Updated changelog.

2005-04-24 14:39  paul

	* build-debian.sh: Altered to make Andrew's debian build of this
	  package easier.

2005-04-13 20:16  paul

	* debian/changelog: Added leading space - format typo.

2005-03-09 17:45  paul

	* servers/axyl/etc/Server.config: Increased the CloseWait time from
	  5s to 1200s (20 mins) to avoid index writers being vlunerable to
	  termination resulting in possible corruption of the index.

2005-03-09 17:44  paul

	* debian/changelog: Latest changelog for v2.1.4.

2005-03-09 17:43  paul

	* debian/po/: cs.po, fr.po, pt_BR.po: Latest translations for
	  debconf templates. Closes #297053, #297598 and #279899.

2004-11-28 15:30  paul

	* debian/control: Made package description consistent with Axyl
	  base package.

2004-11-08 08:30  andrew

	* debian/control: Corrected Uploaders e-mail address.

2004-11-07 14:47  paul

	* debian/changelog: Get the next version correct - it should be
	  2.1.3.

2004-11-07 14:18  paul

	* debian/templates: Default debconf template re-phrasing
	  (Bug#279899).

2004-11-07 10:45  paul

	* debian/: changelog, control: Added Andrew as uploader. Added
	  French debconf templates translation.

2004-11-04 21:26  paul

	* build-repository.sh: Fixed this to use the new debian-builds
	  directory.

2004-11-04 21:19  paul

	* debian/rules: We now copy the init.d script from the debian
	  directory into a temporay 'etc' directory, tarball it, then
	  remove it afterwards.

2004-11-04 21:18  paul

	* build-debian.sh: Make changelog refresh optional.  Changed all ;
	  then's to more portable shell variation.

2004-11-04 21:18  paul

	* build-dep.sh: Deals better with cleaned status.

2004-10-31 12:25  paul

	* build-debian.sh: Need to sudo to remove pre-existing DEBIAN
	  content (eg. after the event of a crash during builds).

2004-10-31 12:24  paul

	* build-tarball.sh: Exclude .bak files from tarball.

2004-10-31 12:06  paul

	* INSTALL, build-tarball.sh: We now copy the init.d script from the
	  debian directory into a temporay 'etc' directory, tarball it,
	  then remove it afterwards.

2004-10-31 11:52  paul

	* debian/rules: Changed the dh_installinit - no longer need the
	  -name parameter, since it is the default one.

2004-10-31 11:51  paul

	* debian/axyl-lucene.init: Moved from outside the debian directory.
	  This now falls more into line with what debian packaging wants.

2004-10-30 20:35  paul

	* build-debian.sh: Renamed build dir to be 'debian-builds'

2004-10-30 20:26  paul

	* build-debian.sh: Fixed perms setting.

2004-10-30 19:59  paul

	* debian/docs: Got rid of INSTALL from Debian docs. Not needed.

2004-10-30 19:54  paul

	* build-debian.sh: New type of build script, with a cp -a approach,
	  and dedicated 'debian_builds' subdir

2004-10-30 15:37  paul

	* debian/control: Added some stuff about Axyl as preamble.

2004-10-30 12:46  paul

	* debian/copyright: Bug#278493: Fixed copyright details.

2004-10-26 13:12  paul

	* build-debian.sh, build-repository.sh: Changes to packaging for
	  next Axyl package release.

2004-10-26 09:38  paul

	* INSTALL, README, debian/changelog, debian/docs: newtoenewtonring
	  package axyl-lucene 2.1.2

2004-10-18 20:12  paul

	* build-debian.sh: Now does not use symlink to create version-named
	  build directory - it actually renames the directory.

2004-10-18 20:00  paul

	* build-debian.sh: Now does not use symlink to create version-named
	  build directory - it actually renames the directory.

2004-10-17 11:23  paul

	* Makefile: Cosmetics.

2004-10-17 11:18  paul

	* debian/rules: Refined methodology for making debian - no longer
	  remove build-stamp as part of clean.

2004-10-17 11:17  paul

	* Makefile, build-debian.sh, build-dep.sh, build-repository.sh,
	  build-tarball.sh: Refined methodology for making debian and
	  tarball, and also making a debian repository. New script
	  build-dep.sh checks for changed files and touches build-stamp if
	  any found.

2004-10-16 19:10  paul

	* build-repository.sh: Utility to install debian package into a
	  repository located at ../debian-respository

2004-10-08 20:53  paul

	* build-debian.sh, build-tarball.sh: Rationalisation of scripts,
	  and fix to make the build-tarball.sh work once again with native
	  package version numbering.

2004-10-07 12:16  andrew

	* build-debian.sh, debian/changelog: Change version so we are
	  considered Debian native.  Also allow a command line parameter at
	  build to override the USER variable.

2004-10-07 09:03  paul

	* debian/control: Fix the dependency version on axyl.

2004-10-06 11:21  paul

	* bin/: axyl-lucene, axyl-lucene.future-version, axyl_lucene,
	  axyl_lucene.future-version: Renamed init.d script for Lucene to
	  'axyl-lucene' (was 'axyl_lucene') to be consistent with package
	  name.

2004-10-06 10:58  paul

	* build-debian.sh, debian/axyl-lucene.postinst,
	  debian/axyl-lucene.prerm, debian/rules,
	  install/install-lucene.sh: Renamed init.d script for Lucene to
	  'axyl-lucene' (was 'axyl_lucene') to be consistent with package
	  name.

2004-10-06 08:48  paul

	* debian/: changelog, control: Re-established the axyl-lucene
	  version as 2.1.1

2004-10-05 20:05  paul

	* debian/control: Updated the Axyl dependency to specify > 2.1.1
	  version.

2004-10-05 08:58  paul

	* debian/: po/POTFILES.in, po/templates.pot, control, rules,
	  templates: Internationalisation conversion for debian packaging.

2004-09-22 20:34  paul

	* debian/changelog: Set initial Axyl Lucene version to 2.1.1-1

2004-09-21 09:12  paul

	* install/install-lucene.sh: When we run this script and find the
	  Axyl Lucene data area is already there, we now still re-assert
	  all the config files. This overlays existing data, indexes etc.
	  so these are preserved. But importantly, we set the config to
	  know consistent values.

2004-09-21 08:23  paul

	* install/install-lucene.sh: Corrected re-install condition error.
	  It wasn't setting the LUCENE_PORT in the axyl.conf file when Axyl
	  Lucene data area already existing. This should always be
	  reasserted.

2004-09-20 20:58  paul

	* ChangeLog: Not something we need in CVS, since it is generated by
	  CVS.

2004-09-20 20:57  paul

	* install/install-lucene.sh: Cosmetics.

2004-09-19 19:57  paul

	* ChangeLog, INSTALL, Makefile, build-debian.sh, build-tarball.sh:
	  Axyl Lucene package split.  - Build-specific scripts and info
	  files for axyl-lucene.

2004-09-19 19:55  paul

	* debian/axyl-lucene.axyl_lucene.init: Axyl Lucene package split.
	  This file is actually copied here on each build.

2004-09-19 19:55  paul

	* debian/axyl-lucene.axyl_lucene.init: Axyl Lucene package split.
	  Oops - erroneous add - will remove.

2004-09-19 19:54  paul

	* debian/: axyl-lucene.postinst, axyl-lucene.postrm,
	  axyl-lucene.prerm, control, docs, rules, templates: Axyl Lucene
	  package split.  - Packaging config for the new axyl-lucene
	  package.

2004-09-19 19:54  paul

	* debian/axyl-lucene.postrm.debhelper,
	  debian/axyl-lucene.substvars, debian/files, build-stamp,
	  configure-stamp: Axyl Lucene package split.  - Not required for
	  CVS. Generated on the fly by build.

2004-09-19 19:52  paul

	* install/install-lucene.sh: Axyl Lucene package split.  - Include
	  the Lucene installer in the axyl-lucene package. This version can
	  be run from the command line also.

2004-09-19 18:03  paul

	* install/: README, install-lucene.sh: Axyl Lucene package split.
	  We are taking the Lucene functionality out of Axyl as far as
	  Debian packaging goes, and providing a new package called
	  'axyl-lucene' which depends on the original 'axyl' package. This
	  new package also contains the Luceneserver Java source-code, and
	  is an optional install.

2004-09-18 14:52  paul

	* build-debian.sh: iRemoved superfluous cvsroot.

2004-09-18 14:46  paul

	* ChangeLog, INSTALL, Makefile, README, build-debian.sh,
	  build-stamp, build-tarball.sh, configure-stamp, bin/axyl_lucene,
	  bin/axyl_lucene.future-version, debian/README,
	  debian/axyl-lucene.postinst, debian/axyl-lucene.postrm,
	  debian/axyl-lucene.postrm.debhelper, debian/axyl-lucene.prerm,
	  debian/axyl-lucene.substvars, debian/changelog, debian/compat,
	  debian/config, debian/control, debian/copyright, debian/docs,
	  debian/files, debian/rules, debian/templates,
	  servers/axyl/etc/Server.config, servers/axyl/etc/globals,
	  servers/axyl/etc/log4j.xml,
	  servers/axyl/etc/application/axyl.properties,
	  servers/axyl/log/.cvsignore: Initial archive

2004-09-18 14:46  paul

	* ChangeLog, INSTALL, Makefile, README, build-debian.sh,
	  build-stamp, build-tarball.sh, configure-stamp, bin/axyl_lucene,
	  bin/axyl_lucene.future-version, debian/README,
	  debian/axyl-lucene.postinst, debian/axyl-lucene.postrm,
	  debian/axyl-lucene.postrm.debhelper, debian/axyl-lucene.prerm,
	  debian/axyl-lucene.substvars, debian/changelog, debian/compat,
	  debian/config, debian/control, debian/copyright, debian/docs,
	  debian/files, debian/rules, debian/templates,
	  servers/axyl/etc/Server.config, servers/axyl/etc/globals,
	  servers/axyl/etc/log4j.xml,
	  servers/axyl/etc/application/axyl.properties,
	  servers/axyl/log/.cvsignore: Initial revision

